Bug 1737877

Summary: suricata depends on Python 2
Product: [Fedora] Fedora Reporter: Lumír Balhar <lbalhar>
Component: suricataAssignee: Steve Grubb <sgrubb>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: athmanem, jmlich83, jtfas90, mhroncok, pviktori, sgrubb
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-18 23:11:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1698500    

Description Lumír Balhar 2019-08-06 10:09:27 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for suricata's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to suricata.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:49:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Lumír Balhar 2019-08-15 07:42:04 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Jozef Mlich 2019-08-15 08:48:43 UTC
I have created patch, see https://src.fedoraproject.org/rpms/suricata/pull-request/1

Comment 4 Lumír Balhar 2019-08-23 15:13:37 UTC
Could you please merge it and build it in rawhide?

Comment 5 Lumír Balhar 2019-09-02 05:21:01 UTC
Can I help you with something?

Comment 6 Steve Grubb 2019-09-06 02:09:11 UTC
I don't think we should be patching around things without upstream involvement. Apparently, the latest beta release has moved to python 3. So, later this month, I think we should move the rawhide branch to the beta release. When there is a general release, then we can consider wider adoption.

Comment 7 Lumír Balhar 2019-09-13 10:19:14 UTC
That sounds like a plan, thank you. Let me know if you need any help.

Comment 8 Petr Viktorin 2019-10-16 15:10:42 UTC
Do you think you can do it this month?

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 9 Steve Grubb 2019-10-16 15:16:59 UTC
This is already fixed in git. The problem is rust is miscompiling on ppc64le. See bug 1757548. I may disable building on ppc64le as a temporary fix.

Comment 10 Miro Hrončok 2019-10-18 23:11:21 UTC
Thanks!